# Command: testsuite::test_goodhandler

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::test_goodhandler - test if SLI returns exit code 0 when an error is handled by a correct user error handler.

Synopsis:

    (test_goodhandler) run ->

Description:

      This script establishes a user error handler and then provokes an
      error. The error handler resets errodict::newerror to false. This is
      a dumb, but correct way of handling errors. NEST should pass this
      scipt and return exit code 0.

Author:

    Ruediger Kupper

FirstVersion:

    03-jul-2008

SeeAlso:

- testsuite::test_pass
- testsuite::test_fail
- testsuite::test_stop
- testsuite::test_goodhandler
- testsuite::test_lazyhandler
- testsuite::test_badhandler

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/testsuite/selftests/test_goodhandler.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative